/*	Sample program for Olimex AVR-P40-USB with ATMega16 processor
 *	Turn ON Led when button is pressed; 
 *	Turn OFF Led when button is released;
 *	Compile with AVRStudio+WinAVR (gcc version 3.4.6) */

#define	__AVR_ATmega16__	1

#include "avr/io.h"

void PORT_Init()
{
	PORTB = 0b00000000;
	DDRB  = 0b00000001;		//set Led as output
}

int main()
{
	PORT_Init();
	while (1)
	{
		if (PINB & 0b00010000)		//if Button is pressed (Bit4 = 1)
			PORTB = PORTB | 0b00000001;
		else
			PORTB = PORTB & 0b11111110;
	}
}
